[Solved] Flash plugin not detected by FF

Archived topics about LMDE 1
Forum rules
Locked
the_loaf
Level 1
Level 1
Posts: 26
Joined: Tue Nov 12, 2013 2:39 pm

[Solved] Flash plugin not detected by FF

Post by the_loaf » Thu Apr 23, 2015 4:04 pm

I recently stopped using chrome/chromium and started using FF again. However, I noticed that the Flash plugin is not
being detected by FF but it's there:

lrwxrwxrwx 1 root root 35 Jan 17 12:03 /usr/lib/mozilla/plugins/libflashplayer.so -> /etc/alternatives/libflashplayer.so*
lrwxrwxrwx 1 root root 42 Jan 17 12:02 /etc/alternatives/libflashplayer.so -> /opt/mint-flashplugin-11/libflashplayer.so*

but when I check about:addons and click on the plugins tab, I only see java and video codec.

When I check the pluginreg.dat:

.mozilla/firefox/mwad0hks.default/pluginreg.dat

I see:

[INVALID]
/opt/mint-flashplugin-11/libflashplayer.so:$

Does anyone know why that would be considered invalid or how to get FF to see the plugin again?

I'm running FF 37.0 on LMDE 1.
Last edited by the_loaf on Thu Apr 23, 2015 5:13 pm, edited 1 time in total.

the_loaf
Level 1
Level 1
Posts: 26
Joined: Tue Nov 12, 2013 2:39 pm

Re: Flash plugin not detected by FF

Post by the_loaf » Thu Apr 23, 2015 4:14 pm

Maybe this is a compatibility between 32bit/64bit versions of the flash plugin and FF:

$ file /opt/firefox/firefox
/opt/firefox/firefox: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.18, BuildID[sha1]=072ec5d969782a2391d9e60bbb126a541d606836, stripped

$ file /opt/mint-flashplugin-11/libflashplayer.so
/opt/mint-flashplugin-11/libflashplayer.so: ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), dynamically linked, stripped

I'm going to see if I can get the 64bit version of the plugin and see that fixes the issue.

the_loaf
Level 1
Level 1
Posts: 26
Joined: Tue Nov 12, 2013 2:39 pm

Re: Flash plugin not detected by FF

Post by the_loaf » Thu Apr 23, 2015 5:13 pm

Yep, that was it. I manually installed the 64 bit adobe flash player and now it's seen by FF and working.

$ file /usr/lib/mozilla/plugins/libflashplayer.so
/usr/lib/mozilla/plugins/libflashplayer.so: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, stripped

Locked

Return to “LMDE 1 Archive”